# sched.h File Reference

`#include <ubixos/types.h>`
`#include <ubixos/elf.h>`
`#include <vfs/file.h>`
`#include <sys/tss.h>`

Go to the source code of this file.

## Data Structures

struct | osInfo
struct | taskStruct

## Typedefs

typedef taskStruct | kTask_t

## Enumerations

enum | tState { DEAD = -1, NEW = 0, READY = 1, RUNNING = 2, IDLE = 3 }

## Functions

int | schedInit ()
void | sched ()
void | schedYield ()
int | schedEndTask (pidType pid)
kTask_t * | schedNewTask ()
kTask_t * | schedFindTask (uInt32 id)
int | deleteTask (uInt32)

## Variables

kTask_t * | taskList
uInt32 | nextID
kTask_t * | _current
kTask_t * | _usedMath

## Typedef Documentation

typedef struct taskStruct kTask_t

| Structure containing information about a class

## Enumeration Type Documentation

enum tState

Enumeration values:

  DEAD |
  NEW |
  READY |
  RUNNING |
  IDLE |

## Function Documentation

int deleteTask | ( | uInt32 |  | ) |

| Removes task from list

void sched | ( |  | ) |

int schedEndTask | ( | pidType | pid | ) |

kTask_t* schedFindTask | ( | uInt32 | id | ) |

int schedInit | ( |  | ) |

| Allocates memory for task list and sets up default task

kTask_t* schedNewTask | ( |  | ) |

void schedYield | ( |  | ) |

## Variable Documentation

kTask_t* _current

kTask_t* _usedMath

uInt32 nextID

kTask_t* taskList